Documentation # Flowdrive docs

    # API Reference

## Overview

The FlowDrive API is organized around REST. Our API accepts form-encoded request bodies, returns JSON-encoded responses, and uses standard HTTP response codes, authentication, and verbs.

## Base URL

All API requests should be made to:

`https://api.tryflowdrive.com/v1`

## Authentication

All API requests require authentication using an API key. Include your API key in the `X-API-Key` header:

bash

`curl -H "X-API-Key: your_api_key" https://api.tryflowdrive.com/v1/files/upload`

## Error Handling

The FlowDrive API uses conventional HTTP response codes:

- `200` - Success

- `400` - Bad request (invalid parameters)

- `401` - Authentication failed

- `403` - Permission denied

- `404` - Resource not found

- `429` - Too many requests

- `500` - Server error

## Rate Limits

- Free tier: 100 requests/minute

- Pro tier: 1000 requests/minute

- Enterprise: Custom limits

## Available Endpoints

### File Operations

- [Upload Files](https://tryflowdrive.com/docs/upload-api)

- [Upload from URL](https://tryflowdrive.com/docs/upload-api#url-upload)

- [Delete Files](https://tryflowdrive.com/docs/upload-api#delete)

- [List Files](https://tryflowdrive.com/docs/upload-api#list)

### Folder Operations

- Create Folders (Coming Soon)

- List Folders (Coming Soon)

- Delete Folders (Coming Soon)
